\begin{tikzpicture}[node distance=3cm, auto]
    %\draw[help lines] (0, 0) grid (3, -3);
    % node
    \node[state, initial](A) {A};
    \node[state](B)[right of=A]{B};
    \node[state](C)[below of=B]{C};
    \node[state](D)[left of=C]{D};
    
    % edge
    \path[->] (A) edge node {cond. 0} (B)
              (B) edge node {cond. 1} (C)
              (C) edge node {cond. 2} (D)
              (D) edge node {cond. 3} (A)
                  edge [loop below] node {cond. 4} ();
\end{tikzpicture}